#!/bin/sh
#########################################################################
##       Copyright   Meta Integration Technology, Inc. 1997-2015       ##
##                        All Rights Reserved.                         ##
#########################################################################
##                  http://www.metaintegration.com                     ##
#########################################################################

# Set MITI environment variables
M_BIN_DIRECTORY=${M_HOME}/bin
M_JAVA_DIRECTORY=${M_HOME}/java

# Set java environment variables
if [ -f "${M_HOME}/conf/conf.properties" ]
then
	for prop in `cat "${M_HOME}/conf/conf.properties" | grep -v ^# | grep = | sed 's/=.*//'`
	do
		val=`grep ^${prop}= "${M_HOME}/conf/conf.properties" | sed 's/[^=]*=\([^\r]*\).*/\1/'`
		eval ${prop}=\"${val}\"
	done
fi

# Set the Data directory
if [ ! -d "${M_DATA_DIRECTORY}" ]
then
	M_DATA_DIRECTORY=${M_HOME}/data
fi

FIRST_CHAR=`echo "${M_JAVA_HOME}" | sed 's/\(.\).*/\1/'`
if [ "${FIRST_CHAR}" != "/" -a "${FIRST_CHAR}" != "~" ]
then
	M_JAVA_HOME=${M_HOME}/${M_JAVA_HOME}
fi
if [ ! -z "${M_JAVA_HOME}" ]
then
	M_JAVA_EXE=${M_JAVA_HOME}/bin/java
fi
if [ ! -f "${M_JAVA_EXE}" ]
then
	M_JAVA_HOME=${M_HOME}/jre
	M_JAVA_EXE=${M_JAVA_HOME}/bin/java
fi
if [ ! -f "${M_JAVA_EXE}" ]
then
	M_JAVA_HOME=${M_HOME}../jre
	M_JAVA_EXE=${M_JAVA_HOME}/bin/java
fi
if [ ! -f "${M_JAVA_EXE}" ]
then
	M_JAVA_HOME=${JAVA_HOME}
	M_JAVA_EXE=${M_JAVA_HOME}/bin/java
fi
if [ ! -f "${M_JAVA_EXE}" ]
then
	M_JAVA_HOME=
	M_JAVA_EXE=java
fi
