/*
 * #########################################################################
 * ##       Copyright © Meta Integration Technology, Inc. 1997-2022       ##
 * ##                        All Rights Reserved.                         ##
 * #########################################################################
 * ##                  http://www.metaintegration.com                     ##
 * #########################################################################
 */

var args = WScript.arguments;
var arg_version      = "";
var arg_getVersion   = false;

var application;

for (var index = 0; index<args.length; index++ ) {
	if (WScript.arguments(index)=="-version" && index+1<args.length) {
		arg_version = WScript.arguments(index+1);
	}
	else if (WScript.arguments(index)=="-GetVersion") {
		arg_getVersion = true;
	}
}

// Check parameters
if (arg_version=="") {
	WScript.Echo("-version parameter is not specified.");
	usage();
	WScript.Quit(1);
}

var comClass;
if (arg_version == "9") {
	comClass = "ERwin9.SCAPI";
} else if (arg_version == "8") {
	comClass = "ERwin8.SCAPI"
} else if (arg_version == "7") {
	comClass = "ERwin7.SCAPI"
} else if (arg_version == "4") {
	comClass = "ERwin.SCAPI"
} else {
    WScript.Echo("The specified version is not supported.");
    usage();
    WScript.Quit(1);
}

try {
	this.application = new ActiveXObject(comClass);
} catch (err) {
	WScript.Echo("Could not connect to ERwin api: " + err.message);
	WScript.Quit(1);
}
if (arg_getVersion) {
	var toolVersion = this.application.Version;
	WScript.Echo(toolVersion);
}
WScript.Quit(0);

function usage()
{
    WScript.Echo("Usage:");
	WScript.Echo("cscript.exe ERwinApi.js -version 9 -GetVersion");
	WScript.Echo("cscript.exe ERwinApi.js -version 8 -GetVersion");
	WScript.Echo("cscript.exe ERwinApi.js -version 7 -GetVersion");
	WScript.Echo("cscript.exe ERwinApi.js -version 4 -GetVersion");
}
